> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://docs.deel.wtf/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.deel.wtf/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.deel.wtf/_mcp/server.

# List of something new new

GET https://api.letsdeel.com/rest/somthing-ttt

Retrieve a list of something.

 **Token scopes**: `contracts:read`, `contracts:write`

Reference: https://docs.deel.wtf/api/reference/endpoints/qa/list-of-something-new-new-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `after_cursor` (string, optional) — Return next page of results after the given cursor.
- `limit` (string, optional) — Return a page of results with the given number of records.
- `order_direction` (enum, optional) — Order direction of results; ascending or descending.
  - Allowed values: `asc`, `desc`
- `types` (list of enum, optional) — Filter contracts by type. A contract is included in the results if its type is in this list.
  - Allowed values: `ongoing_time_based`, `milestones`, `time_based`, `pay_as_you_go_time_based`, `commission`, `payg_milestones`, `payg_tasks`, `eor`, `unknown`, `employee`, `global_payroll`, `shield_msa`, `hris_direct_employee`
- `statuses` (list of enum, optional) — Filter contracts by current status. A contract is included in the results if its status is in this list.
  - Allowed values: `new`, `under_review`, `waiting_for_employee_contract`, `waiting_for_client_sign`, `processing_payment`, `waiting_for_contractor_sign`, `waiting_for_eor_sign`, `waiting_for_employee_sign`, `awaiting_deposit_payment`, `in_progress`, `completed`, `cancelled`, `user_cancelled`, `rejected`, `waiting_for_client_payment`
- `team_id` (string, optional) — Filter contracts for the given team ID. NOTE: All query parameters are technically strings or arrays of strings.
- `external_id` (string, optional) — Filter contracts for the given external ID.
- `countries` (list of string, optional) — Filter contracts by country codes.
- `currencies` (SomthingTttGetParametersCurrencies, optional) — Filter something news by currency codes.
- `search` (string, optional) — Include a something new if its name or the contractor's name contains the given search term.
- `sort_by` (enum, optional) — Sort something new by the given field name.
  - Allowed values: `contract_title`, `worker_name`

## Response

### 200

Successful operation.

- `data` (list of SomthingTttGetResponsesContentApplicationJsonSchemaDataItems, required)
- `page` (SomthingTttGetResponsesContentApplicationJsonSchemaPage, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### SomthingTttGetParametersCurrencies

- list of string
- string

### SomthingTttGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — UUID of the contract.
- `type` (enum, required) — Type of a contract.
  - Allowed values: `ongoing_time_based`, `milestones`, `time_based`, `pay_as_you_go_time_based`, `commission`, `payg_milestones`, `payg_tasks`, `eor`, `unknown`, `employee`, `global_payroll`, `shield_msa`, `hris_direct_employee`
- `title` (string, required) — Title of the contract.
- `client` (SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsClient, required)
- `status` (enum, required) — Status of a contract in Deel workflow.
  - Allowed values: `new`, `under_review`, `waiting_for_employee_contract`, `waiting_for_client_sign`, `processing_payment`, `waiting_for_contractor_sign`, `waiting_for_eor_sign`, `waiting_for_employee_sign`, `awaiting_deposit_payment`, `in_progress`, `completed`, `cancelled`, `user_cancelled`, `rejected`, `waiting_for_client_payment`
- `worker` (SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsWorker, required, nullable)
- `created_at` (string, required, nullable) — Timestamp when the contract was created, in ISO-8601 format.
- `signatures` (SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsSignatures, required)
- `invitations` (SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsInvitations, required) — Details of invitations sent for signing the contract.
- `is_archived` (boolean, required) — Indicates whether the contract is archived.
- `is_shielded` (boolean, required) — Indicates whether the contract is shielded.
- `termination_date` (string, required, nullable) — Date when the contract is terminated, in ISO-8601 format.
- `scale` (string, optional, nullable) — The payment scale (e.g., hourly, weekly, monthly, etc.).
- `external_id` (string, optional, nullable) — A unique identifier for the object provided by an external system.
- `who_reports` (enum, optional) — Indicates who is responsible for providing regular reports.
  - Allowed values: `both`, `client`, `contractor`
- `notice_period` (double, optional, default: 0) — Number of days required to give notice before terminating the contract.

### SomthingTttGetResponsesContentApplicationJsonSchemaPage

- `cursor` (string, required) — Cursor for paginated results.
- `total_rows` (double, required) — Total number of rows in the result set.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsClient

- `team` (SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsClientTeam, optional)

### SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsWorker

- `id` (SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsWorkerId, required) — Unique identifier of this resource.
- `email` (string, required, nullable) — User's email address.
- `full_name` (string, required) — Full name of the worker.
- `image` (string, optional, nullable) — URL of the worker's profile image.
- `alternate_email` (list of SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsWorkerAlternateEmailItems, optional) — List of alternate email addresses.

### SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsSignatures

- `client_signed_at` (string, required, nullable) — Timestamp when the client signed the contract, in ISO-8601 format.
- `worker_signature` (string, required) — Worker's signature.
- `worker_signed_at` (string, required, nullable) — Timestamp when the worker signed the contract, in ISO-8601 format.

### SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsInvitations

Details of invitations sent for signing the contract.

- `client_email` (string, optional, nullable) — Email address of the client to invite.
- `worker_email` (string, optional, nullable) — Email address of the worker to invite.

### SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsClientTeam

- `id` (SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsClientTeamId, required) — Unique identifier of this resource.
- `name` (string, required, nullable) — Name of a team.

### SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsWorkerId

Unique identifier of this resource.

- string
- double

### SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsWorkerAlternateEmailItems

- `email` (string, required, nullable) — User's email address.
- `isVerified` (boolean, required) — Indicates whether the alternate email address is verified.

### SomthingTttGetResponsesContentApplicationJsonSchemaDataItemsClientTeamId

Unique identifier of this resource.

- string
- double

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "string",
      "type": "ongoing_time_based",
      "title": "string",
      "client": {
        "team": {
          "id": "string",
          "name": "string"
        }
      },
      "status": "new",
      "worker": {
        "id": "string",
        "email": "string",
        "full_name": "string",
        "image": "string",
        "alternate_email": [
          {
            "email": "string",
            "isVerified": true
          }
        ]
      },
      "created_at": "2024-01-15T09:30:00Z",
      "signatures": {
        "client_signed_at": "2024-01-15T09:30:00Z",
        "worker_signature": "string",
        "worker_signed_at": "2024-01-15T09:30:00Z"
      },
      "invitations": {
        "client_email": "string",
        "worker_email": "string"
      },
      "is_archived": true,
      "is_shielded": true,
      "termination_date": "2024-01-15T09:30:00Z",
      "scale": "string",
      "external_id": "string",
      "who_reports": "both",
      "notice_period": 0
    }
  ],
  "page": {
    "cursor": "string",
    "total_rows": 1.1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/somthing-ttt"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/somthing-ttt';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/somthing-ttt"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/somthing-ttt")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/somthing-ttt")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/somthing-ttt', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/somthing-ttt");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/somthing-ttt")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```